package com.fr.plugin.xx.zyjn.entity;

import com.fr.json.JSONObject;
import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @Author xx
 * @Date 2022/10/12
 * @Description
 **/
@Entity
@Table(name = "plugin_fine_sync_org")
public class SyncOrgEntity extends BaseEntity {

    @Column(name = "name")
    private String name;

    @Column(name = "parent_sn")
    private String parentSn;

    @Column(name = "status")
    private Boolean status;

    @Column(name = "org_code")
    private String orgCode;

    @Column(name = "sort_num")
    private String sortNum;

    public SyncOrgEntity() {

    }

    public SyncOrgEntity(JSONObject object) {
        this.setId(object.getString("sn"));
        this.setName(object.getString("name"));
        this.setParentSn(object.getString("parentSn"));
        this.setStatus(object.getInt("status") == 1);
        this.setOrgCode(object.getString("orgCode"));
        this.setSortNum(object.getString("sortNum"));
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentSn() {
        return parentSn;
    }

    public void setParentSn(String parentSn) {
        this.parentSn = parentSn;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getSortNum() {
        return sortNum;
    }

    public void setSortNum(String sortNum) {
        this.sortNum = sortNum;
    }
}
