package com.fr.plugin.xx.zyjn.dao;

import com.fr.plugin.xx.zyjn.SyncDBAccessProvider;
import com.fr.plugin.xx.zyjn.entity.SyncOrgEntity;
import com.fr.plugin.xx.zyjn.entity.SyncUserEntity;
import com.fr.plugin.xx.zyjn.utils.LogUtils;
import com.fr.stable.db.action.DBAction;

/**
 * @Author xx
 * @Date 2022/10/12
 * @Description
 **/
public class SyncService {

    public static void saveUser(SyncUserEntity entity) {
        try {
            SyncDBAccessProvider.getDbAccessor().runDMLAction((DBAction) daoContext -> {
                daoContext.getDAO(SyncUserDao.class).addOrUpdate(entity);
                return null;
            });
        } catch (Exception e) {
            LogUtils.error(e.getMessage(), e);
        }
    }

    public static void saveOrg(SyncOrgEntity entity) {
        try {
            SyncDBAccessProvider.getDbAccessor().runDMLAction((DBAction) daoContext -> {
                daoContext.getDAO(SyncOrgDao.class).addOrUpdate(entity);
                return null;
            });
        } catch (Exception e) {
            LogUtils.error(e.getMessage(), e);
        }
    }
}
